Bug 1297734 - Selected disk profile is not set on disk creation
Summary: Selected disk profile is not set on disk creation
Keywords:
Status: CLOSED EOL
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 3.6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ovirt-3.6.8
: ---
Assignee: Roman Mohr
QA Contact: Nikolai Sednev
URL:
Whiteboard:
: 1272793 (view as bug list)
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2016-01-12 10:39 UTC by Roman Mohr
Modified: 2016-07-29 11:14 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The selected disk profile for a disk was never sent to the engine in the GWT-UI. Consequence: Setting other disk profiles than the default profile was only possible when using the REST API. Fix: Make sure the disk profile is sent to the backend. Result: Disk profile selection is now working in the UI.
Clone Of:
Environment:
Last Closed: 2016-07-29 11:14:59 UTC
oVirt Team: SLA
rmohr: ovirt-3.6.z?
rule-engine: ovirt-4.0.0+
rule-engine: blocker+
mgoldboi: planning_ack+
dfediuck: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 58762 ovirt-engine-3.6 MERGED webadmin: Set disk profile on image creation or update 2016-06-13 12:28:02 UTC
oVirt gerrit 58763 master MERGED webadmin: Set disk profile on image creation or update 2016-06-09 07:26:39 UTC
oVirt gerrit 58764 ovirt-engine-4.0 MERGED webadmin: Set disk profile on image creation or update 2016-06-13 12:24:46 UTC

Description Roman Mohr 2016-01-12 10:39:53 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create an additional disk profile (e.g. 'myprofile').
2. Create a new disk image and set the disk profile 'myprofile'
3. Examine the disk details after creation
4. You will see that the default profile was selected

Actual results:
The default profile is selected although you selected a different disk profile.

Expected results:
The selected disk profile should be selected

Additional info:
When debugging I saw that the UI is not passing on the selected profile.

Comment 1 Red Hat Bugzilla Rules Engine 2016-01-13 08:11:08 UTC
This bug report has Keywords: Regression or TestBlocker.
Since no regressions or test blockers are allowed between releases, it is also being identified as a blocker for this release. Please resolve ASAP.

Comment 2 Jeff Cody 2016-03-17 16:52:45 UTC
*** Bug 1272793 has been marked as a duplicate of this bug. ***

Comment 4 Roman Mohr 2016-06-07 14:32:33 UTC
We should really backport this everywhere we can. It is an extremely simple patch and without it the only way to set a non default disk profile is through the rest api.

Comment 5 Red Hat Bugzilla Rules Engine 2016-06-09 07:25:19 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 6 Nikolai Sednev 2016-07-11 15:56:51 UTC
I've deployed hosted-engine on one host, using rhevm-appliance-20160620.0-1.el7ev.noarch.
I've followed reproduction steps as follows:
1. Create an additional disk profile (e.g. 'myprofile').
2. Create a new disk image and set the disk profile 'myprofile'
3. Examine the disk details after creation
4. I see that in details now "myprofile" being shown as expected.
Works for me on these components on engine:
rhevm-setup-3.6.8-0.1.el6.noarch                                              
rhevm-userportal-3.6.8-0.1.el6.noarch                              
rhevm-spice-client-x64-cab-3.6-7.el6.noarch                         
rhevm-setup-plugins-3.6.5-1.el6ev.noarch                              
rhevm-setup-plugin-websocket-proxy-3.6.8-0.1.el6.noarch
rhevm-dependencies-3.6.1-1.el6ev.noarch
rhevm-doc-3.6.8-1.el6eng.noarch
rhevm-tools-3.6.8-0.1.el6.noarch
rhevm-branding-rhev-3.6.0-10.el6ev.noarch
rhevm-reports-3.6.5.1-1.el6ev.noarch
rhevm-backend-3.6.8-0.1.el6.noarch
rhevm-dbscripts-3.6.8-0.1.el6.noarch
rhevm-spice-client-x86-cab-3.6-7.el6.noarch
rhevm-guest-agent-common-1.0.11-6.el6ev.noarch
rhevm-image-uploader-3.6.0-1.el6ev.noarch
rhevm-setup-plugin-vmconsole-proxy-helper-3.6.8-0.1.el6.noarch
rhevm-dwh-setup-3.6.8-1.el6ev.noarch
rhevm-tools-backup-3.6.8-0.1.el6.noarch
rhevm-restapi-3.6.8-0.1.el6.noarch
rhevm-log-collector-3.6.1-1.el6ev.noarch
rhevm-spice-client-x86-msi-3.6-7.el6.noarch
rhev-release-3.6.8-2-001.noarch
rhevm-lib-3.6.8-0.1.el6.noarch
rhevm-setup-plugin-ovirt-engine-common-3.6.8-0.1.el6.noarch
rhevm-websocket-proxy-3.6.8-0.1.el6.noarch
rhevm-extensions-api-impl-3.6.8-0.1.el6.noarch
rhevm-dwh-3.6.8-1.el6ev.noarch
rhevm-webadmin-portal-3.6.8-0.1.el6.noarch
rhevm-setup-base-3.6.8-0.1.el6.noarch
rhevm-vmconsole-proxy-helper-3.6.8-0.1.el6.noarch
rhevm-sdk-python-3.6.8.0-1.el6ev.noarch
rhevm-reports-setup-3.6.5.1-1.el6ev.noarch
rhev-guest-tools-iso-3.6-6.el6ev.noarch
rhevm-3.6.8-0.1.el6.noarch
rhevm-spice-client-x64-msi-3.6-7.el6.noarch
rhevm-iso-uploader-3.6.0-1.el6ev.noarch
rhevm-cli-3.6.2.1-1.el6ev.noarch
rhevm-setup-plugin-ovirt-engine-3.6.8-0.1.el6.noarch
Linux version 2.6.32-642.el6.x86_64 (mockbuild@x86-033.build.eng.bos.redhat.com) (gcc version 4.4.7 20120313 (Red Hat 4.4.7-17) (GCC) ) #1 SMP Wed Apr 13 00:51:26 EDT 2016
Linux 2.6.32-642.el6.x86_64 #1 SMP Wed Apr 13 00:51:26 EDT 2016 x86_64 x86_64 x86_64 GNU/Linux
Red Hat Enterprise Linux Server release 6.8 (Santiago)

Host:
libvirt-client-1.2.17-13.el7_2.5.x86_64                          
ovirt-hosted-engine-ha-1.3.5.7-1.el7ev.noarch                                   
ovirt-vmconsole-host-1.0.2-2.el7ev.noarch                                     
rhevm-appliance-20160620.0-1.el7ev.noarch                              
ovirt-host-deploy-1.4.1-1.el7ev.noarch                          
rhevm-sdk-python-3.6.8.0-1.el7ev.noarch            
ovirt-setup-lib-1.0.1-1.el7ev.noarch 
rhevm-appliance-20160620.0-1.el7ev.noarch                       
vdsm-4.17.33-1.el7ev.noarch
ovirt-vmconsole-1.0.2-2.el7ev.noarch
ovirt-hosted-engine-setup-1.3.7.2-1.el7ev.noarch
sanlock-3.2.4-2.el7_2.x86_64
qemu-kvm-rhev-2.3.0-31.el7_2.18.x86_64
mom-0.5.4-1.el7ev.noarch
rhev-release-3.6.8-2-001.noarch
Linux version 3.10.0-327.28.2.el7.x86_64 (mockbuild@x86-017.build.eng.bos.redhat.com) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-4) (GCC) ) #1 SMP Mon Jun 27 14:48:28 EDT 2016
Linux 3.10.0-327.28.2.el7.x86_64 #1 SMP Mon Jun 27 14:48:28 EDT 2016 x86_64 x86_64 x86_64 GNU/Linux
Red Hat Enterprise Linux Server release 7.2 (Maipo)

Moving to verified as I don't see this bug is related to HC only.


Note You need to log in before you can comment on or make changes to this bug.